PATCH
/posts/{postId}Update a post
Update an existing post
Parameters
| Name | In | Type | Description |
|---|---|---|---|
postIdrequired | path | string | Post ID |
Request body
| Field | Type | Description |
|---|---|---|
title | string | |
content | string | |
statusId | string | null | Status ID (set to null to clear) |
tagIds | string[] | |
ownerId | string | null | Assigned team member ID (set to null to unassign) |
Response
Post updated
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
titlerequired | string | |
contentrequired | string | |
contentJsonrequired | object | null | |
voteCountrequired | number | |
boardIdrequired | string | TypeID - a type-prefixed UUID |
statusIdrequired | string | null | |
authorNamerequired | string | null | |
ownerIdrequired | string | null | |
createdAtrequired | string | ISO 8601 timestamp |
updatedAtrequired | string | ISO 8601 timestamp |
Errors
400Validation error401Unauthorized404Post not foundExample request
curl \
-X PATCH \
"https://feedback.quackback.io/api/v1/posts/:postId" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"title": "example_title",
"content": "example_content",
"tagIds": []
}'